Bug 1378733 (CVE-2016-7513) - CVE-2016-7513 ImageMagick: Off-by-one error in cache.c
Summary: CVE-2016-7513 ImageMagick: Off-by-one error in cache.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-7513
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1378790
Blocks: 1378785
TreeView+ depends on / blocked
 
Reported: 2016-09-23 08:40 UTC by Andrej Nemec
Modified: 2019-09-29 13:57 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-12 22:15:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-09-23 08:40:27 UTC
An off-by-one error leading to a segmentation fault was found in ImageMagick.

Debian bug:

https://bugs.debian.org/832455

Upstream fix:

https://github.com/ImageMagick/ImageMagick/commit/a54fe0e8600eaf3dc6fe717d3c0398001507f723

Comment 1 Adam Mariš 2016-09-23 09:33:00 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1378790]

Comment 2 Adam Mariš 2016-09-23 09:37:19 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1378790]

Comment 3 Stefan Cornelius 2016-10-12 22:15:33 UTC
Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6, and 7.


Note You need to log in before you can comment on or make changes to this bug.